   PROGRAM Main

   REAL, DIMENSION(10) :: A
   INTEGER, DIMENSION(2) ::  X = (/ 2, 5 /)
   REAL, DIMENSION(2, 5) :: B

   DATA A / 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 /

   INTEGER :: i, j, N

   print *, "A = "
   print *, A
   print *

   B = RESHAPE(A, X)

   print *, "B = "
   print *, B(1, :)
   print *, B(2, :)
   print *

   END

